fluxbox(1)
==========
Henrik Kinnunen <fluxgen@fluxbox.org>
v1.0rc2, 26th July 2006

NAME
----
fluxbox - A lightweight window manager for the X Windowing System

SYNOPSIS
--------
'fluxbox' [-v | -version]
          [-h | -help]
          [-i | -info]
'fluxbox' [-rc rcfile]
          [-log logfile]
          [-display display]
          [-screen scr,scr|all]
          [-verbose]

DESCRIPTION
-----------
fluxbox(1) provides configurable window decorations, a root menu to launch
applications and a toolbar that shows the current workspace name, a set of
application names and the current time. There is also a workspace menu to add
or remove workspaces. The `slit' can be used to dock small applications; e.g.
most of the bbtools can use the slit.


fluxbox(1) can iconify windows to the toolbar, in addition to adding the window
to the 'Icons' submenu of the workspace menu. One click and they reappear. A
double-click on the titlebar of the window will 'shade' it; i.e. the window
will disappear, and only the titlebar will remain visible.


fluxbox(1) uses its own graphics class to render its images on the fly. By using
style files, you can determine in great detail how your desktop looks.
fluxbox styles are compatible with those of Blackbox 0.65 or earlier versions,
so users migrating can still use their current favourite themes.


fluxbox(1) supports the majority of the Extended Window Manager Hints (EWMH)
specification, as well as numerous other Window Hinting standards. This
allows all compliant window managers to provide a common interface to
standard features used by applications and desktop utilities.

OPTIONS
-------
-display display::
    Start fluxbox on the specified display. Programs started by fluxbox
    will share the DISPLAY environment variable also.
-h, -help::
    Display command line options.
-i, -info::
    Display useful information concerning the defaults and compiled-in
    options.
-log logfile::
    Starting fluxbox with this option will designate a file in which you
    want to log events to.
-rc rcfile::
    Use a different config file other than the default ~/.fluxbox/init.
-v, -version::
    The version of fluxbox installed.
-screen scr,scr|all::
    Run on specified screens only or all (by default).
-verbose::
    Print more information in process.

STARTING FLUXBOX
----------------
fluxbox(1) comes with a program called startfluxbox(8) usually located wherever
you installed fluxbox. This script provides you with many options and
variables that can be set when starting fluxbox. To actually call fluxbox and
begin using it, you should place "exec startfluxbox" in your ~/.xinitrc or
~/.xsession (depending on your distribution and/or display manager) as the last
executed command. This is assuming that the location of fluxbox(1) and
startfluxbox(8) are in your shell's $PATH. Also note that you may need to
create the ~/.xinitrc file or your setup may use ~/.xsession instead,
depending on your X setup. For more information on your shell, please visit
your shell's manual page.

By using fluxbox -i you'll see the defaults used by fluxbox(1). These are what
fluxbox looks for upon startup. In the list of `Defaults:' you'll see a menu
file location, this is where you can provide a system-wide menu file for your
users.

On exit or restart, fluxbox will save user defaults in the file
~/.fluxbox/init. Resources in this file can be edited by hand. fluxbox also
has many tools to edit these; look through the main menu once fluxbox has
started to find different ways of managing your session.

USING FLUXBOX
-------------
When using fluxbox for the first time, users who are more accustomed to
full desktop environments such as KDE or Gnome may be a little surprised by
the minimal screen content. fluxbox is designed to be fast and powerful, so it
may take a bit of getting used to -- however, the rewards are worthwhile.

In this section, we'll give a quick summary of the common things. However, we
recommend that you consult the referenced sections of this manual to further
develop your understanding of what you can do with fluxbox.

Root Window (Main)
~~~~~~~~~~~~~~~~~~
Looking at the fluxbox desktop immediately after startup you'll generally
see only one thing: the toolbar. If you right click (mouse button 3) somewhere
on the desktop, you can access the RootMenu. A middle click (mouse button 2) on
the desktop shows you the WorkspaceMenu.

RootMenu and WorkspaceMenu
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
From the RootMenu you can launch applications and configure fluxbox. The
WorkspaceMenu shows all windows and on which workspaces they are. See
section MENUS on how to customize these menus.

Toolbar
~~~~~~~
The toolbar contains any combination of the following tools:

- *Workspace Name*:
    Name of the current visible workspace
- *Iconbar*:
    List of windows managed by fluxbox
- *System Tray*:
    Area for applets
- *Clock*:
    Date and Time
- *Workspace Arrows*:
    Previous/Next Workspace
- *Window Arrows*:
    Previous/Next Application Window

The contents of the toolbar can be configured in the `init' file. We
discuss the `init' file at great length in the RESOURCES section.

Slit
~~~~
Initially you won't be able to see the slit. It is there, but it isn't
being used yet. The slit confuses some people initially. Think of it as a dock
where you can place smaller programs. If you've looked at any screenshots on the
official fluxbox web site, you will have noticed some small programs on the edge
of some of the screens. These were more than likely docked programs in the slit.
To learn more about the slit, we have an entire section below that goes into
detail about the options you have.

Layers
~~~~~~
fluxbox manages the following layers (from highest to lowest):

* Above Dock
* Dock
* Top
* Normal
* Bottom
* Desktop

Windows on a higher layer will always appear above those on a lower one. These
layers can be used on application windows, the slit or the toolbar. You can
assign applications to a certain layer by specifying it in the `apps' file or
through the WindowMenu. We discuss the `apps' file in the APPLICATIONS section.
We discuss the WindowMenu in the MENUS section. We discuss layers in more detail
in the LAYERS section.

Focus Model
~~~~~~~~~~~
The window that has the focus is the one that receives key and mouse
events. The focus model is selectable via the Configuration menu located
in the root menu. We'll discuss the different types of focus below in the
FOCUS MODEL section.

Windows
~~~~~~~
A left click (mouse button 1) on any part of the window's border will
raise it. Dragging then moves the window to another part of the desktop. A right
click and drag on the border resizes the window. Dragging the resize grips at
the left and right bottom corners also will resize the window. Middle clicking
on a border or titlebar will immediately lower the window. Right clicking on the
titlebar opens the Window menu. The commands unique to this menu are discussed
in detail in the Window Menu section of MENUS.

Tabs
~~~~
fluxbox allows windows to be `grouped' by middle clicking and holding on a
window's tab and dragging it onto another window. This `tabbing' allows you to
put multiple applications in one location on the desktop and do several
operations (for example, moving or resizing) to all windows in the group. By
default, tabs are located just above the window, but they may be embedded in the
titlebar or moved to other locations on the outside of the window. Configuration
is discussed in TAB OPTIONS section.

Miscellaneous
~~~~~~~~~~~~~
When you want to drag a window, but cannot see either the bottom handle or
its titlebar you can press (and hold!)

    ALT + Left Mousebutton (mouse button 1)

and move it anywhere in the current workspace. This key combination can
also be used to raise a partially visible window.

The key combination

    ALT + Right Mousebutton (mouse button 3)

will allow you to resize the window. This behavior can be altered in the init
file with:

    session.modKey: <modifier>

You can also alter how resizing is done. By default, you drag the bottom right
corner. You can drag the corner closest to the mouse pointer instead if you set

    session.screen0.resizeMode: Quadrant

or all corners at the same time if you set it to:

    session.screen0.resizeMode: Center

MENUS
-----
fluxbox installs a default menu file in @pkgdatadir@/menu. You can also use
fluxbox -i to confirm this action. Of course this system-wide menu can be
customized for all users at once, but it is also possible to create an
individual menu file for each user. By convention, users create a menu file in
~/.fluxbox/menu . Once you've created your own menu file, you'll want to make
sure that you properly declare this location in your `init' file so that fluxbox
knows where to look. The value you'll want to add or change is:

    session.menuFile: <menufile>

For this change to take effect, fluxbox must be restarted. Be sure that your
menu is usable, then choose `Restart' from the default fluxbox root menu. This
restart is only necessary if you make changes to the `init' file; otherwise,
fluxbox will automatically detect your changes.

Root Menu
~~~~~~~~~
The root menu is where you can change different aspects of fluxbox by
simply clicking on a menu item. Most of the changes in this menu can also
be done in the `init' file. However it makes it very easy to change
certain options without having to open up an editor and find the resource.
In the root menu, you usually have a `fluxbox menu' or `Settings' submenu,
where you will find lots of different options. We'll take a look at most,
if not all, of those here.

- *Configure*:
    The next level under this menu is where you can set certain resources and
    really begin to customize the look and feel of your desktop.

- *System Styles*:
    This is where the standard styles are listed. You can select one of these
    by clicking on it. You may have to `reload' the config or `restart' to get
    every graphical element to change to the new style.  System styles are
    located in @pkgdatadir@/styles/ upon a default install.
    Remember that you can confirm this with fluxbox -i.

- *User Styles*:
    ~/.fluxbox/styles This is the location where you will store new styles
    that you grab from the Internet. If you create your own styles this is
    also where you will put yours (provided that you follow the 'standards'
    described in fluxstyle(1)).

- *Workspace List*:
    This is a list of the workspaces configured in your `init' file. If there
    are programs running on any of the workspaces, they will be listed one
    level down.

- *Tools*:
    Listed here are different tools that you can use. You can rename your
    workspace, run programs from a command line or regenerate your menu.

- *Window*:
    Allows you to switch your window manager. (Only listed if you have other
    window managers/desktop environments installed.)

- *Lock Screen*:
    Locks the screen...

- *fluxbox Command*:
    A little Commandline will popup where you can enter a fluxbox command.

- *Reload Config*:
    Use this to reload any menu files or style files. Just a basic re-read of
    the files by a running fluxbox.

- *Restart*:
    Restart the whole darn thing. This starts a completely new fluxbox process,
    rereads files and redraws all graphical elements. Running applications will
    remain open, however.

- *Exit:
    Exits fluxbox and probably shuts down the X Window server.

Configuration Menu
~~~~~~~~~~~~~~~~~~
This menu offers the opportunity to set up fluxbox. It contains many options
from the init file, but this is an easier and faster way for most users.

- *Focus Model*:
    Please read the FOCUS MODEL section at the end of this manual.

- *Tab Options*:
    Lets you configure the properties of tabs. Detailed in TAB OPTIONS
    section.

- *Slit*:
    This Menu can be opened by right clicking the slit (if visible). Find more
    information about this menu's options in the SLIT section.

- *Toolbar*:
    Please take a look at the "Configuration via the Toolbar Menu" part of the
    TOOLBAR section.

- *Image Dithering*:
    Enable or disable dithering of images.

- *Opaque Window Moving*:
    If enabled, you will see the window content while dragging it. Otherwise
    the window will be shown as a "border".

- *Full Maximization*:
    Enabling this will override the separate settings for the slit/toolbar.
    Windows will always maximize over/under both of them.

- *Focus New Window*:
    If enabled, a newly opened window will gain focus.

- *Focus Last Window on Workspace*:
    This focuses the previous window when switching back to a workspace if the
    option is enabled.

- *Windows Warping*:
    If enabled, you can drag windows from one workspace to another.

- *Desktop MouseWheel Switching*:
    You will be able to change the workspace with your mousewheel if used on
    the desktop or over the toolbar if the option is enabled.

- *Decorate Transient Windows*:
    With this option enabled all temporary windows will have a border and
    grips.

- *Click Raises*:
    If enabled a click anywhere on a window area (including the decorations)
    will raise it. Otherwise you can only raise it by clicking the titlebar.

- *Transparency*:
    This sets the transparency for a focused, unfocused window and the menu.

Window Menu
~~~~~~~~~~~
The Window menu is displayed when you right click on the titlebar of a window.
The options available are:

- *Send To...*:
    Send window to another workspace. When you select the workspace with
    a middle click, fluxbox will send you along with the application to
    the selected workspace.

- *Shade*:
    Shade the window (display the titlebar only).

- *Iconify*:
    Iconify window. The `icon' can be found in the Icons submenu of the
    workspace menu as well as in the toolbar (if a Toolbar mode showing
    Icons is selected).

- *Maximize*:
    (Un)Maximize window. Depending on your toolbar and slit
    configuration, maximize may cover them. You can use the different
    mouse buttons for different aspects of maximize function.

    * Button 1  (Un)Maximize as normal.
    * Button 2  (Un)Maximize window vertically.
    * Button 3  (Un)Maximize window horizontally.

- *Raise*:
    Raise the window.

- *Lower*:
    Lower the window.

- *Stick*:
    (Un)Stick window. A `stuck' window will always be displayed on all
    workspaces.

- *Layer...*:
    Change the layer of this window.

- *Remember...*:
    Specify which window settings should be stored in the apps file,
    covered later on in the APPLICATIONS section.

- *Close*:
    Close the application softly.

Workspace Menu
~~~~~~~~~~~~~~
The workspace menu can be found by middle clicking on the background.
A menu will popup giving you the option to add or remove a workspace.
You will also see your workspaces listed there; middle clicking on a
workspace name will take you to that workspace, whereas clicking on a
window name in one of the per-workspace submenus will take you to the
workspace that window is on, and select the window. Last but not least
you will notice the Icons menu.  This is for applications which have
been `iconified'.

Menu Behavior
~~~~~~~~~~~~~
The behavior of the submenus in a menu can be configured in the `init'
file, with the following entries (default for both is 0):

    session.screen0.menuDelay: <msec>
    session.screen0.menuDelayClose: <msec>

Menu Syntax
~~~~~~~~~~~
There are up to four fields in a menu line. They are of the form:

    [tag] (label|filename) {command|filename} <icon file>

The supported tags are:

[begin] (label);;
    This tells fluxbox to start parsing the menu file. This tag is required for
    fluxbox to read your menu file. If it cannot find it, the system default
    menu is used in its place.

[end];;
    This tells fluxbox that it is at the end of a menu. This can either be a
    submenu or the main root menu. There must be at least one of these tags in
    your menu to correspond to the required [begin] tag.

[exec] (label) \{command\};;
    Inserts a command item into the menu. When you select the menu item from the
    menu, fluxbox runs 'command'.

[exit] (label);;
    Inserts an item that shuts down and exits fluxbox. Any open windows are
    reparented to the root window before fluxbox exits.

[include] (file-or-directory-name);;
    Parses the file specified by filename inline with the current menu. The
    filename can be the full path to a file or it can begin with ~/, which will
    be expanded into your home directory. If the path is a directory, then all
    files in the directory are included.

[nop] (label);;
    Insert a non-operational item into the current menu. This can be used to
    help format the menu into blocks or sections if so desired. This tag does
    support a label, but one is not required in which case a blank item will be
    used instead.

[separator];;
    This will create a nice separation line. Useful for splitting up sections in
    a 'pretty' way.

[style] (label) \{filename\};;
    This tells fluxbox to insert an item that, when selected, reads style file
    named filename and apply the new textures, colors and fonts to the current
    running session.

[stylesmenu] (directory);;
    Reads all filenames from the specified directory, assuming that they are all
    valid style files, and creates menu items in the current menu for every
    filename, that, when selected by the user will apply the selected style file
    to the current session. The labels that are created in the menu are the
    filenames of the style files.

[stylesdir] (label) \{directory\};;
    Creates a submenu entry with label (that is also the title of the new
    submenu), and inserts in that submenu all filenames in the specified
    directory, assuming that they are all valid style files (directories are
    ignored) in the same way as the [stylesdir] command does. Both [stylesdir]
    and [stylesmenu] commands make it possible to install style files without
    editing your init file.

[submenu] (label) \{menutitle\};;
    This tells fluxbox to create and parse a new menu. This menu is inserted as
    a submenu into the parent menu. These menus are parsed recursively, so there
    is no limit to the number of levels or nested submenus you can have. The
    title for the new menu is optional, if none is supplied, the new menu's
    title is the same as the item label. An [end] tag is required to end the
    submenu.

[reconfig] (label);;
    When selected this item re-reads the current style and menu files and
    applies any changes. This is useful for creating a new style or theme, as
    you don't have to constantly restart fluxbox every time you save your style.
    However, fluxbox automatically rereads the menu whenever it changes.

[restart] (label) \{command\};;
    This tells fluxbox to restart. If command is supplied, it shuts down and
    runs the command (which is commonly the name of another window manager). If
    the command is omitted, fluxbox restarts itself.

[config] (label);;
    Inserts a fluxbox native submenu item, containing numerous configuration
    options concerning window placement, focus style, window moving style, etc.

[wallpaper] (label);;
    This allows you to list your backgrounds. This tag is built in to use
    fbsetbg(1) and allows you to simply click on an image to set your wallpaper.
    See? fluxbox makes it easy...

[wallpapermenu] (directory) \{command\};;
    This inserts a menu item to set the wallpaper for each file in the given
    directory. The command is optional and defaults to fbsetbg.

[workspaces] (label);;
    This tells fluxbox to insert a link to the workspaces menu directly into
    your menu. This is handy for those users who can't access the workspace menu
    directly (e.g. if you don't have a 3 button mouse, it is rather hard to
    middle click to show the workspace menu).

Any line that starts with a '#' or '!' is considered a comment and ignored by
fluxbox. Also, in the label/command/filename fields you can escape any
character. Using '\\' inserts a literal back-slash into the
label/command/filename field.

Here is an example menu file:

------------------------------------------------------------------
# fluxbox menu file
[begin] (fluxbox)
    [exec] (rxvt) {rxvt -ls} </usr/X11R6/share/icons/terminal.xpm>
    [exec] (netscape) {netscape -install}
    [exec] (The GIMP) {gimp}
    [exec] (XV) {xv}
    [exec] (Vim) {rxvt -geometry 132x60 -name VIM -e screen vim}
    [exec] (Mutt) {rxvt -name mutt -e mutt}
    [submenu] (mozilla)
        [exec] (browser) {mozilla -browser}
        [exec] (news) {mozilla -news}
        [exec] (mail) {mozilla -mail}
        [exec] (edit) {mozilla -edit}
        [exec] (compose) {mozilla -compose}
    [end]
    [submenu] (Window Manager)
        [exec] (Edit Menus) {nedit ~/.fluxbox/menu}
        [submenu] (Style) {Which Style?}
            [stylesdir] (~/.fluxbox/styles)
            [stylesmenu] (fluxbox Styles) {@pkgdatadir@/styles}
        [end]
        [config] (Config Options)
        [reconfig] (Reconfigure)
        [restart] (Restart)
    [end]
    [exit] (Log Out)
[end]
------------------------------------------------------------------

TOOLBAR
-------
The toolbar is a small area to display information like a clock, workspace name,
a system tray or a taskbar (iconbar) that can contain the running programs. The
color, look, font etc. is defined in the the style and can't be defined as a
global setting (except with the style overlay).

The tools in the toolbar can be enabled/disabled in the init file with the
arguments given to the line:

     session.screen0.toolbar.tools

The order and number of tools is freely selectable, but they must be separated
by a ",". E.g.:

    session.screen0.toolbar.tools: workspacename, systemtray, iconbar, clock

The possible tools are:

- *Clock*:
    This will show an area to display a clock and the date according to the
    format specification listed in "man strtftime"

- *Iconbar*:
    This is the area that contains all windows (all running applications, all
    minimized windows or maybe no window, all depending on the Toolbar
    Settings).

- *Systemtray*:
    The Systemtray can hold applications that are made to use it.

- *WorkspaceName*:
    This displays the name of the current workspace.

- *PrevWorkspace*:
    This displays an arrow that allows to switch to the workspace left of the
    current one. Same as MouseWheelDown with "Desktop MouseWheel Switching"
    enabled.

- *NextWorkspace*:
    This displays an arrow that allows to switch to the workspace right of the
    current one. Same as MouseWheelUp with "Desktop MouseWheel Switching"
    enabled.

- *PrevWindow*:
    This displays an arrow that switches focus to the previous visible window on
    the current workspace.

- *NextWindow*:
    This displays an arrow that switches focus to the next visible window on the
    current workspace.


Other aspects of the toolbar can be configured in two ways: through the toolbar
menu, which is accessable in the Configuration part of the RootMenu or with a
right click on the edge the toolbar, or by editing the init file (see the
RESOURCES section for more information about that).


Configuration via the Toolbar Menu
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
All changes take effect immediately, except for a change of the "Toolbar Alpha",
which needs a restart to make the change visible. Here are the settings:

- *Visible*:
    Sets the toolbar either to visible or invisible.

    session.screen0.toolbar.visible: <boolean>

- *Auto hide*:
    If this is enabled the toolbar will disappear after a defined time when the
    mouse pointer leaves the toolbar. It will slide in when the cursor hits the
    remaining edge of the toolbar. 

    session.screen0.toolbar.autoHide: <boolean>
    session.autoRaiseDelay: <int>

- *Toolbar width percentage*:
    Sets the width of the toolbar in percent. Use the left mouse button to
    decrease and the right mouse-button to increase the value. The value can be
    from 1-100.

    session.screen0.toolbar.widthPercent: <int>

- *Maximize Over*:
    Enabling this option will prevent windows from maximizing over the toolbar.
    With this switched on they will only expand to the edge of the bar. To use
    this option, "Full Maximization" from the Configuration menu must be
    DISABLED. Otherwise this option will not work.

    session.screen0.toolbar.maxOver: <boolean>
    session.screen0.fullMaximization: <boolean>

- *Layer...*:
    This sets the layer on which the toolbar is set. With this you can set the
    toolbar to "Always on top".

    session.screen0.toolbar.layer: <layer>

- *Placement*:
    Sets the toolbar to any edge of the screen, either centered or aligned with
    a corner.

    session.screen0.toolbar.placement: <direction>

- *Alpha*:
    This sets the alpha value for the toolbar. Use the left mouse button to
    decrease and the right mouse button to increase the value. 0 is invisible,
    255 is not transparent at all.

    session.screen0.toolbar.alpha: <int>

- *Iconbar Mode*:

    Specifies the mode of the iconbar:

    - *None*:
        will not show any windows
    - *Icons*:
        shows windows from all workspaces that are minimized (iconified)
    - *NoIcons*:
        shows windows from all workspaces that are not minimized (iconified)
    - *WorkspaceIcons*:
        shows windows from the current workspace that are minimized (iconified)
    - *WorkspaceNoIcons*:
        shows windows from the current workspace that are not minimized
        (iconified)
    - *Workspace*:
        shows all windows from the current workspace
    - *All Windows*:
        shows all windows from all workspaces

    session.screen0.iconbar.mode: <mode>

- *Alignment*:

    - *Left*:
        all icons will be left-aligned with the width set in the init file
    - *Relative*:
        all icons will be sized evenly to fill the iconbar completely
    - *Right*:
        all icons will be right-aligned with the width set in the init file

    session.screen0.iconbar.alignment: <alignment>
    session.screen0.iconbar.iconWidth: <int>


- *Show Pictures*:
    If enabled the iconbar will show the application's icon (if provided by the
    application)

    session.screen0.iconbar.usePixmap: <boolean>

- *Clock*:
    Lets you switch between the 00:00am - 11:59pm and 00:00 - 23:59 notation

- *Edit Clock Format*:
    clicking this entry will pop up a little window in which the clock format
    can be set according to 'man strftime' (or 'man date').

    session.screen0.strftimeFormat: <format>


RESOURCES
---------
Usually the ~/.fluxbox/init resource file is created and maintained by fluxbox
itself. You can use the [config] menu to set most of these options. However,
we'll cover all of the resource options that are available to the user. If you
edit this file while fluxbox is running, you must `restart' to reload the
resource options.

When running fluxbox in a multiple desktop environment the screen0 key can also
be screen1, screen2, etc. You can customize the behavior of fluxbox on each
desktop accordingly. Here is an example, and a favorite of the fluxbox
documentation manager:

.................................................
session.screen0.toolbar.onTop: False
session.screen0.toolbar.autoHide: True
session.screen0.toolbar.placement: BottomCenter
session.screen0.toolbar.widthPercent: 42
session.screen0.slit.onTop: False
session.screen0.slit.autoHide: True
session.screen0.slit.placement: TopLeft
session.screen0.slit.direction: Vertical
session.screen0.strftimeFormat: %I:%M %p
session.screen1.toolbar.onTop: True
session.screen1.slit.autoHide: False
session.screen1.slit.placement: CenterRight
session.screen1.slit.direction: Vertical
session.screen1.strftimeFormat: %a %d %R [%s]
.................................................

Here are the resources that are currently available:

................................................................................
session.screen0.window.focus.alpha: <integer>
session.screen0.window.unfocus.alpha: <integer>
      These resources are available to the user to set different levels of
      transparency for different components of fluxbox. Each one accepts a value
      between 0-255, 255 being opaque and 0 being completely transparent.
      Default: 255

session.screen0.slit.autoHide: <boolean>
session.screen0.toolbar.autoHide: <boolean>
      The autoHide resources allow the user to set the behavior of the toolbar
      and slit. This behavior can be that they disappear when they are not being
      used actively by the user, or they remain visible at all times. Default:
      False

session.screen0.desktopwheeling: <boolean>
session.screen0.toolbar.wheeling: <boolean>
      These set the ability to utilize the user's scroll wheel to change the
      current workspace. Default: True

session.screen0.slit.layer: <layer>
session.screen0.toolbar.layer: <layer>
      With these two resources, you can set the layer you want the toolbar and
      the slit to appear on. Please read the LAYER section for more information.
      Default: Desktop

session.screen0.slit.onTop: <boolean>
session.screen0.toolbar.onTop: <boolean>
      A user can set whether or not the toolbar or slit are always on top of the
      screen. Setting these resources will put the slit and toolbar above
      everything visible on the workspace. Default: False

session.screen0.slit.placement: <placement>
session.screen0.toolbar.placement: <placement>
      These allow users to place the slit and toolbar where they like. Possible
      options are:
      -   BottomCenter
      -   BottomLeft
      -   BottomRight
      -   LeftBottom
      -   LeftCenter
      -   LeftTop
      -   RightBottom
      -   RightCenter
      -   RightTop
      -   TopCenter
      -   TopLeft
      -   TopRight

session.screen0.slit.maxOver: <boolean>
session.screen0.toolbar.maxOver: <boolean>
session.screen0.tabs.maxOver: <boolean>
      Setting these to True will allow application windows to maximize over the
      complete screen. Setting to False allows the slit, toolbar, and external
      tabs to hold their territory and will always be visible when an
      application is maximized. Default: False

session.screen0.toolbar.height: <integer>
      Set the height of the toolbar. If the value is set to 0, the style file
      will gain control over the toolbar height. It is possible to set a fixed
      height by changing this value to something greater than 0. Default: 0

session.screen0.toolbar.visible: <boolean>
      The user can set whether they want to have a toolbar on screen at all.
      Setting to False removes the toolbar from the screen. Default: True

session.screen0.toolbar.widthPercent: <integer>
      This resource sets the width percentage of the toolbar on the screen.
      Default: 65

session.screen0.toolbar.tools: <tools>
      This resource specifies the tools plugged into the toolbar. Read the
      TOOLBAR section in this manual for a description of each of these.
      Possible tools::
      -   clock
      -   iconbar
      -   nextwindow
      -   prevwindow
      -   nextworkspace
      -   prevworkspace
      -   systemtray
      -   workspacename

session.screen0.slit.onhead: <integer>
session.screen0.toolbar.onhead: <integer>
      For those that use xinerama, users can set this value to the number of the
      head where they would like to see the slit and toolbar, starting from 1.
      Setting this to 0 will ignore xinerama information. Default: 0

session.screen0.iconbar.mode: <mode>
      This value is set in the Iconbar Mode menu. The available options are::
      -   All Windows
      -   Icons
      -   NoIcons
      -   None
      -   Workspace
      -   WorkspaceIcons
      -   WorkspaceNoIcons

session.screen0.iconbar.usePixmap: <boolean>
      This is also set in the Iconbar Mode menu. When set to True, this will
      show the native icon of applications. Default: True

session.screen0.iconbar.iconTextPadding: <integer>
      This specifies the space between the window title and the edge of the
      button. Default: 10

session.screen0.iconbar.wheelMode: Screen|On|Off
      This defines the behavior for scrolling on the iconbar. `Screen' uses the
      value set in session.screen0.desktopWheeling . `On' means scrolling on the
      iconbar will change the current workspace. `Off' means scrolling on the
      iconbar will do nothing. Default: Screen

session.screen0.iconbar.alignment: <position>
      This value should be changed in the Iconbar Mode menu.  Default:
      Relative

      Available options:
      -   Left: Fixed width, aligned left
      -   Relative: Width varies to fill the iconbar
      -   Right: Fixed width, aligned right

session.screen0.iconbar.iconWidth: <integer>
      Used to specify the iconbar button width for Left/Right alignment.
      Default: 70

session.screen0.overlay.lineWidth: 1
session.screen0.overlay.lineStyle: LineSolid
session.screen0.overlay.joinStyle: JoinMiter
session.screen0.overlay.capStyle: CapNotLast
      These are options for how fluxbox draws lines. See
      `man XSetLineAttributes' for more details. Defaults: listed above

session.screen0.slit.direction: Vertical|Horizontal
      This specifies whether clients in the slit are arranged horizontally or
      vertically. Default: Vertical

session.screen0.strftimeFormat: <date>
      This adjusts the way the current time is displayed in the toolbar. The
      strftime(3) format is used. Default: %I:%M %p

session.screen0.tabs.intitlebar: <boolean>
      This specifies whether tabs should be embedded in the titlebar or placed
      outside the window. Default: False

session.screen0.tab.placement: <placement>
      This specifies where external tabs will appear on the window. Default:
      TopLeft

session.screen0.tab.width: <integer>
      This specifies the width of external tabs in pixels. Default: 64

session.screen0.followModel: <model>
session.screen0.userFollowModel: <model>
      This specifies the behavior when a window on another workspace becomes the
      active window. The former is used when an application asks to focus the
      window, and the latter is used when the window is activated due to user
      actions, such as clicking in the iconbar, menu, or pager. `Ignore' does
      nothing. `Follow' moves to the window's workspace. `Current' moves the
      window to the current workspace. `SemiFollow' acts like `Current' for
      iconified windows and like `Follow' otherwise. Defaults: Ignore and
      Follow, respectively.

session.screen0.resizeMode: Bottom|Quadrant|Center
      Setting this resource to `Quadrant' makes resizing by ALT + Right
      Mousebutton (mouse button 3) grab the corner closest to the mouse pointer
      instead of the bottom right corner. `Center' resizes all corners at the
      same time. Default: Bottom

session.screen0.focusModel: ClickToFocus|MouseFocus
      This controls how windows gain focus via the mouse. With `ClickToFocus',
      the user must click on the window. With `MouseFocus', windows gain focus
      whenever the mouse moves over them. Default: ClickToFocus
      
session.screen0.autoRaise: <boolean>
      When True, this setting automatically raises any window that gains focus.
      Default: False

session.autoRaiseDelay: <integer>
      Adjusts the delay (in milli-sec) before focused windows will raise
      when using the Autoraise option. Default: 250

session.screen0.clickRaises: <boolean>
      This setting allows a user to click anywhere on a window to bring it on
      top of other windows. Otherwise, only the titlebar will work. Default:
      True

session.screen0.workspacewarping: <boolean>
      This setting enables a user to change workspaces by dragging a window
      across the edge of the screen. Default: True

session.screen0.showwindowposition: <boolean>
      Setting this resource to True shows the user, in a little window,
      the exact position of the application window while the user is
      dragging it. Allows a precise placement of windows on a screen.
      Default: True

session.screen0.decorateTransient: <boolean>
      This controls whether or not transient windows get window decorations,
      such as a titlebar. Default: False

session.screen0.defaultDeco: <bitmask>
      This specifies the default window decorations, according to the same
      bitmask as used by the `[Deco]' option in the `apps' file, described later
      in this document. Default: all bits set.

session.screen0.menuMode: Delay|Click
      This setting controls the circumstances under which submenus open. With
      `Click', the user must click on the menu item in order for the submenu to
      open. With `Delay', submenus open when the mouse hovers over the menu
      item. Default: Delay

session.screen0.menuDelay: <integer>
      This sets the delay in milliseconds for submenus to open with the previous
      option set to `Delay'. Default: 0

session.screen0.menuDelayClose: 0
      This value sets the delay in milliseconds that you would like the menu to
      remain visible after you've clicked out of it. Default: 0

session.screen0.focusNewWindows: <boolean>
      This sets whether or not new windows will become focused automatically.
      Default: True

session.screen0.workspaceNames: <names>
      Here is where the user can name their workspaces. However it is
      recommended to use the tool available in the Configuration Menu to set
      these. Default: one, two, three, four

session.screen0.edgeSnapThreshold: <integer>
      When moving a window across your screen, fluxbox is able to have it `snap'
      to the edges of the screen and other windows for easy placement. This
      variable tells fluxbox the distance (in pixels) at which the window will
      jump to the edge. Default: 0

session.screen0.windowPlacement: <placement strategy>
      This resource specifies where to place new windows when not otherwise
      specified (by the program or the `apps' file, for example). Here are the
      options:
      - RowSmartPlacement: tries to place windows in rows without overlapping
      - ColSmartPlacement: tries to place windows in columns without overlapping
      - CascadePlacement: places windows below the titlebar of the previous one
      - UnderMousePlacement: places new windows underneath the mouse
      Default: RowSmartPlacement

session.screen0.rowPlacementDirection: LeftToRight|RightToLeft
session.screen0.colPlacementDirection: TopToBottom|BottomToTop

session.screen0.fullMaximization: <boolean>
      If this setting is enabled, windows will maximize over the toolbar and
      slit, no matter what their individual settings are. Default: True

session.screen0.rootCommand: <command>
      This overrides the styles rootCommand. When this value is set, it
      will keep your background the same, regardless of what any style
      would like your background to be. NOTE: Setting this command can be
      dangerous. Please make sure you know what you are doing when setting
      this resource to a value other than a desktop wallpaper command.

session.screen0.imageDither: <boolean>
      This controls whether or not fluxbox created dithered images. Default:
      False

session.screen0.opaqueMove: <boolean>
      Sets the visibility level of application windows while being
      dragged. Default: <boolean>

session.screen0.workspaces: <integer>
      Set this to the number of workspaces the users wants. Default: 4

session.screen0.focusLastWindow: <boolean>
      This controls whether or not to focus the last focused window when
      switching workspaces. Default: True

session.screen0.windowMenu: <blank>|<location>
      This specifies the location of a user-defined window menu. Default: blank

session.appsFile: <location>
session.groupFile: <location>
session.keyFile: <location>
session.menuFile: <location>
session.slitlistFile: <location>
session.styleFile: <location>
session.styleOverlay: <location>
      All of these resources require a pathname to their specific files. This is
      where you can specify different files. Most of the defaults will be
      located in the user's ~/.fluxbox directory.

session.cacheLife: <integer>
      This tells fluxbox how long (in minutes) unused pixmaps may stay in the X
      server's memory. Default: 5

session.cacheMax: <integer>
      This tells fluxbox how much memory (in Kb) it may use to store cached
      pixmaps on the X server. If your machine runs short of memory, you may
      lower this value. Default: 200

session.colorsPerChannel: <integer>
      This tells fluxbox how many colors to take from the X server on
      pseudo-color displays. A channel would be red, green, or blue. fluxbox
      will allocate this variable ^ 3 and make them always available. Value must
      be between 2-6. When you run fluxbox on an 8bpp display, you must set this
      resource to 4. Default: 4

session.doubleClickInterval: <integer>
      Adjust the delay in milliseconds between mouse clicks for fluxbox to
      consider a double click. Default: 250

session.forcePseudoTransparency: <boolean>
      If you have Xorg's composite extension enabled, this setting will force
      the menu, windows, toolbar, and slit to use pseudo-transparency instead of
      true transparency. Default: False

session.iconbar: <boolean>
      Set this value to `<boolean>' or `<boolean>' to enable or disable fluxbox
      using the toolbar to display iconified windows. Default: <boolean>

session.ignoreBorder: <boolean>
      When using MouseFocus, don't change focus when the mouse hovers over the
      window border. Default: False

session.numLayers: <integer>
      This controls how many layers fluxbox should have. Default: 13

session.opaqueMove: <boolean>
      When moving a window, setting this to True will draw the window
      contents as it moves (this is nasty on slow systems). If False, it
      will only draw an outline of the window border. Default: False

session.tabPadding: <integer>
      This specifies the spacing between tabs. Default: 0

session.tabsAttachArea: Window|Titlebar
      With this set to `Window', windows may be grouped by dragging one tab with
      the middle mouse button and dropping it anywhere on another window. With
      `Titlebar', the user must drop the tab on the target window's titlebar.
      Default: True

session.titlebar.left: Stick
session.titlebar.right: Minimize Maximize Close
      The icons to place in the titlebar of decorated windows. The available
      options are Close, Maximize, MenuIcon, Minimize, Shade, and Stick.

session.modKey: <modifier>
      This specifies which modifier to use to drag and resize windows without
      clicking on the border or titlebar. Default: Mod1

................................................................................


KEYS
----
You can customize fluxbox's key handling through the ~/.fluxbox/keys file. The
file takes the format of:

    [keymode:] <modifier> <key> :<command> <operation>

In the example below, Mod1 is the 'ALT' key on the PC keyboard and Mod4 is one
of the three extra keys on a pc104 branded with a familiar company logo. Lines
beginning with a '#' or '!' are considered comments and unread by fluxbox.

............................
# fluxbox keys file.
Mod1 Tab :NextWindow
Mod1 Shift Tab :PrevWindow
Mod1 F1 :Workspace 1
Mod1 F2 :Workspace 2
Mod1 F3 :Workspace 3
Mod1 F4 :Workspace 4
Mod1 F5 :Workspace 5
Mod1 F6 :Workspace 6
Mod1 F7 :Workspace 7
Mod1 F8 :Workspace 8
Mod1 F9 :Workspace 9
Mod4 b :PrevWorkspace
Mod4 c :Minimize
Mod4 r :ExecCommand rxvt
Mod4 v :NextWorkspace
Mod4 x :Close
Mod4 m :RootMenu
Control n Mod1 n :NextTab
............................

As you can see from the last line, keybindings can be chained in a fashion
similar to Emacs keybindings.

Some things to know:
- Commands are case-insensitive.
- Workspace numbering starts at "1".
- Some commands have synonyms.
- The space between the last key and the :Command is mandatory.

Here are fluxbox key commands to use:

Window Manager Commands
~~~~~~~~~~~~~~~~~~~~~~~
- Restart <argument>
- Quit
- Reconfigure
- SetStyle <argument>
- ExecCommand <argument>

Currently Focused Window Commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- Minimize
- MinimizeWindow
- Iconify
- Maximize
- MaximizeWindow
- MaximizeHorizontal
- MaximizeVertical
- ResizeTo <width> <height>
- Resize <delta-width> <delta-height>
- ResizeHorizontal <delta-width>
- ResizeVertical <delta-height>
- MoveTo <x> <y>
- Move <delta-x> <delta-y>
- MoveRight <delta-x>
- MoveLeft <delta-x>
- MoveUp <delta-y>
- MoveDown <delta-y>
- Raise
- Lower
- Close
- Shade
- ShadeWindow
- Stick
- StickWindow
- ToggleDecor
- TakeToWorkspace <number>
- TakeToNextWorkspace <offset>
- TakeToPrevWorkspace <offset>
- SendToWorkspace <number>
- SendToNextWorkspace <offset>
- SendToPrevWorkspace <offset>
- KillWindow
- NextTab
- PrevTab
- MoveTabLeft
- MoveTabRight
- DetachClient

Workspace Commands
~~~~~~~~~~~~~~~~~~
- NextWorkspace
- PrevWorkspace
- RightWorkspace <by-number>
- LeftWorkspace <by-number>
- Workspace <number>
- NextWindow <bitmask>
- PrevWindow <bitmask>
- NextGroup <by-number>
- PrevGroup <by-number>
- FocusLeft
- FocusRight
- FocusUp
- FocusDown
- ArrangeWindows
- ShowDesktop (Iconifies all windows)
- Deiconify all|allworkspace|last|lastworkspace current|origin|originquiet
- RootMenu
- WorkspaceMenu
- WindowMenu
- SetWorkspaceName <name>

Special Commands
~~~~~~~~~~~~~~~~
- MacroCmd
- ToggleCmd
- ReloadStyle
- SetResourceValue <resourcename> <resource> value
- BindKey <key><value>: <action>
- KeyMode <keymode name> <return key sequence>
- SetModKey <modifier>

Couple of things
~~~~~~~~~~~~~~~~
- TakeToWorkspace:
    Will send you along with the window to the selected workspace.
    SendToWorkspace just sends the window.

- TakeToNextWorkspace <offset>:
    Will send you and the window to workspace number <current +
    offset>;  that is, move you and the window <offset> spaces to the
    right (offset defaults to 1).  SendToNextWorkspace does the same,
    except that it only sends the window (as for SendToWorkspace).
    TakeToPrevWorkspace and SendToPrevWorkspace work similarly, except
    moving to the previous workspaces, not the next ones.

- PrevWindow/NextWindow parameters take an integer:
    0 or unspecified = Default/current behavior - most recently used.
    1 = Groups instead of Windows - only visit one tab in each group
    2 = Skip stuck windows
    4 = Skip shaded windows
    8 = Switch between windows `linearly';  that is, if you repeatedly
    press the NextWindow key, you will walk through all windows in the,
    order that they were opened, instead of switching back and forth 
    between the most recently focused windows.
    16 = Skip iconified windows

    To combine any of these effects, add the corresponding numbers.
    For instance, 14 means switch linearly, skipping stuck and shaded
    windows, since 14 = 8 + 4 + 2.

- Bindkey will append key string and action to your keys file and bind the key.

- KeyMode allows you to have different keybindings that aren't all active at the
  same time. For instance, you can use `KeyMode Xnest' to switch to the `Xnest'
  key mode, which will disable all of your key bindings that don't have
  `Xnest: ' before them and will enable all the ones that do.
  <return key sequence> will then return you to the `default' key mode. If not
  provided, this defaults to the escape key.

- The 'delta' value means the difference between the current setting and the
requested setting. So if you have a window that is 100 pixels wide, you could
set

...........................
Mod1 r :ResizeHorizontal 10
............................

and when you use that key it would increase the size of your window
to 110 pixels. If you had used

.............................
Mod1 R :ResizeHorizontal -10
.............................

then it would have decreased the size by 10, setting it to 90 pixels.

- Resize commands do not necessarily change the number of pixels. For
  instance, many terminals will use the size of a character as the resize
  unit. Most applications, however, use pixels.

- MacroCmd:

......................................
Mod1 r :MacroCmd {command1} {command2}
......................................

  allows you to execute more than one command with one keybinding. The commands
  will be executed in serial.

- ToggleCmd:

.......................................
Mod1 t :ToggleCmd {command1} {command2}
.......................................

  alternates between the given commands each time you press Mod1 + t.

LAYERS
------
Layers affect the way that windows will overlap each other on the screen.
Windows on a higher layer will always appear above those on a lower one,
whether they are focused or not. By default, fluxbox uses 13 layers,
starting from 1 (highest). The number of layers can be changed by
using the following resource:

    session.numLayers: <integer>

There are two ways to assign a window to a different layer. When the window is
open, you may select the layer in the `Layer ...' submenu of the window menu.
The menu gives six choices for the layer, which fluxbox manages by name. The
names are (from highest to lowest layer):

* 2  - Above Dock
* 4  - Dock
* 6  - Top
* 8  - Normal
* 10 - Bottom
* 12 - Desktop

The other way to set the layer for a window is through the `apps' file. This
method is described in the APPLICATIONS section.


FOCUS MODEL
-----------
The Focus Model defines how windows gain focus (i.e. become the active window,
which receives keyboard and mouse events). The focus model can be changed in
the configuration menu (usually located under 'fluxbox menu' in the Root Menu.

There are two main aspects of the focus model: how windows gain focus and how
tabs gain focus. Each of these has two options: focus follows mouse and click
to focus. Focus follows mouse means that windows will gain focus when the mouse
hovers over them. Click to focus means that windows will gain focus when the
mouse clicks on them.

Thus, there are four main options when choosing a focus model. You should choose
one of the first two and one of the last two. They are:

- *Click To Focus*:
    click to focus windows
- *Mouse Focus*:
    window focus follows mouse
- *ClickTabFocus*:
    click to focus tabs
- *MouseTabFocus*:
    tab focus follows mouse

There is one more option in the focus model menu. It is called AutoRaise. When
AutoRaise is enabled, focused windows will appear on top of other windows in
the same layer. When AutoRaise is disabled, you must explicitly raise a focused
window, using the window menu or keybinding.

TAB OPTIONS
-----------
This section of fluxbox configuration menu lets you configure many features of 
tabs. Inside of it there are three main options:

- *Placement*:
    You can choose where the external tabs must be positioned. The options are:

    * Top Left: tabs are located on the left side of the top border of the
      window.
    * Top Right: tabs are located on the right side of the top border of the
      window.
    * Left Top: tabs are located on the top part of the left border of the
      window.
    * Right Top: tabs are located on the top part of the right border of the
      window.
    * Left Bottom: tabs are located on the bottom part of the left border of the
      window.
    * Right Bottom: tabs are located on the bottom part of the right border of
      the window.
    * Bottom Left: tabs are located on the left side of the bottom border of the
      window.
    * Bottom Right: tabs are located on the right side of the bottom border of
      the window.

    For these options to work 'Tabs in Titlebar' must be off.

- *Tabs in Titlebar*:
    When this option is on, tabs are fixed in window titlebar and the width
    varies according to the amount of windows grouped.

- *Maximize Over*:
    When this option is on, maximizing a window will disregard the size and
    location of external tabs.

- *External Tab Width*:
    This specifies in pixels the width of external tabs.

As most Fluxbox configurations this can be done by editing the init file. The
resources that you should look at are:

    session.screen0.tabs.intitlebar: <boolean>
    session.screen0.tab.width: <integer>
    session.screen0.tab.placement: <direction>

STYLES
------
fluxbox enables you to use specialized files that contain X(1) resources to
specify colors, textures, pixmaps and fonts, and thus the overall look of your
window borders, menus and the toolbar.

The default installation of fluxbox provides some of these style files. See
fluxstyle(1) to accommodate the growing number of style components.

In addition to the style file, the overlay file, whose location is specified by
session.screen0.styleOverlay can be used to set style resources that override
the current style.

APPLICATIONS
------------
It is possible to force an application to always have the same dimensions,
position, and other settings when it is first launched. This is done using
either the window-menu `Remember...' submenu, or by directly using the
~/.fluxbox/apps file. Be careful about editing the apps file while fluxbox is
running. Your changes may be overwritten. Following is a listing of the valid
entries for the `apps' file.  The `Remember...' submenu has entries for most
options that store the current state in the `apps' file for future use.

The format of a line in the `apps' file is:

....................................
[app] (app-name) {count - optional}
    [Property1]  {value1}
    [Property2]  {value2}
    ...
[end]
....................................

Each app-name can be a string, or a regular expression. By default the name
is matched against a window's WM_CLASS property (the first string in it, called
the "instance"). You can match against the title, instance name (default), class
name, or role (the WM_WINDOW_ROLE property) by explicitly specifying it. You can
also specify multiple matches, which must ALL match for the properties to be
applied. If a count is supplied in curly brackets at the end of the app line,
then the entry will only match at most that many at any time (default is to
match all matching windows).

...................................................................
# match a standard xterm
[app] (xterm)
# match an xterm started like: xterm -name myshell
[app] (myshell)
# match any one Firefox window (the instance name is "Gecko")
[app] (class=Firefox-bin) {1}
# match the gaim buddy list window
[app] (role=buddy_list)
# match an rdesktop window to a particular host
[app] (title=rdesktop - hostname.*)
# match gaim IRC windows
[app] (gaim) (title=#.*)
...................................................................

The following are the properties that can be defined in each [app] entry.
Each name must be enclosed in square brackets, and the value is generally in
curly brackets:

- [Workspace] \{0-N\}:
    Forces the application to open on the workspace specified.  Workspaces are
    set by number, beginning with 0.

- [Dimensions] \{Width Height\}:
    Open the application with the specified width and height, in pixels.

- [Position] (*refspot*)) {X Y}:
    Position the application at a particular spot:
    +
        * WINCENTER
        * CENTER
        * UPPERLEFT
        * UPPERRIGHT
        * LOWERLEFT
        * LOWERRIGHT
    +

    You can optionally specify what X and Y are relative to. By default the
    upper left corner is placed at screen coordinates (X, Y). If you specify
    LOWERRIGHT, then the lower right corner of the window is positioned (X,Y)
    pixels from the lower right of the screen. Note that CENTER puts the top
    left corner of the window relative to the center of the screen (WINCENTER
    acts like the rest - positions the center of the window relative to the
    center of the screen).

- [Layer] {Layernum}:
    Specify the layer to open the window on (by number). Each layer has a
    number. The named ones are: 2-AboveDock, 4-Dock, 6-Top, 8-Normal,
    10-Bottom, 12-Desktop.

- [Shaded] {yes|no}:
    The window is started shaded, or not.

- [Tab] {yes|no}:
    Whether this window can be tabbed with others.

- [IconHidden] {yes|no}:
    Hides the app from the icon bar

- [FocusHidden] {yes|no}:
    Hides the app from the window cycling list used Next/PrevWindow key
    bindings.

- [Hidden] {yes|no}:
    is both [IconHidden] plus [FocusHidden]

- [Deco] {NONE|NORMAL|TOOL|TINY|BORDER}:
    Specify the decoration state.  There are several predefined dec-
    oration sets:

    o   NORMAL - standard decorations
    o   NONE - no decorations
    o   BORDER - like NONE except keep the X window border
    o   TINY - titlebar with an iconify button
    o   TOOL - titlebar only

    A bitmask can also be used for fine-grained control.  The bits are (from
    "1" to 1<<10): titlebar, handle/grips, border, iconify button, maximize
    button, close button, menu enabled, sticky button, shade button, tabbing
    enabled, focus enabled.

- [Sticky] {yes|no}:
    Whether the window is initially stuck or not.

- [Jump] {yes|no}:
    Jump to workspace. This one is only useful if `Workspace' is set too. The
    workspace is changed to the workspace containing the application being
    launched.

- [Close] {yes|no}:
    Save settings on close. By default, application settings are not saved
    when a window is closed. Set this option if you want previous settings to
    be saved when the window is closed.

The apps file also allows you to specify applications that should be started
on fluxbox startup using [startup] (options) {command} lines. Currently, the
only valid option is (screen=NN), where NN is the screen number on which the
command should be run.

Finally, you can set windows to group together by using the `apps' file.  This
can be achieved with regular expressions using:

     [app] (property=expr) ... {number}

Property can be one of the following tags:

o   name - the name of the window (the first field of WM_CLASS)
o   class - class of the window (the second field of WM_CLASS)
o   title - title of the window ( WM_NAME property)
o   role - role of the window (the WM_WINDOW_ROLE property)

If no `property' is specified, the name property is assumed. You can find out
the value for these fields for a particular window by running xprop(1).

You can also place [group] tag around several [app] tags, with an [end] tag to
indicate the end of the group. You can also specify dimensions, positions,
etc. for the group as for normal app entries. Here is a short example
of an `apps' file:

.........................................................
    [startup] {xterm}
    # match anything ending with term, up to 2 instances
    [app] (.*[tT]erm) {2}
    # match anything with `gaim' in the title
    [app] (title=.*gaim.*)
    [app] (kate)
        [Dimensions]  {1022 747}
        [Position]    (WINCENTER) {0 0}
        [Close]       {yes}
    [end]
    [app] (konqueror)
        [Workspace]   {1}
        [Dimensions]  {1006 749}
        [Position]    {16 0}
        [Jump]        {yes}
    [end]
    # start all aterms without decorations
    [app] (aterm)
        [Deco]        {NONE}
    [end]
    # a group with the gimp dock and toolbox
    # appears on layer 4 (bottom)
    [group]
      [app] (gimp) (role=gimp-dock)
      [app] (gimp) (role=gimp-toolbox)
        [Layer] {4}
    [end]
.........................................................

Parameters in the `apps' file are case-sensitive. Application names are taken
from the first X window WM_CLASS attribute by default (WM_NAME = title,
WM_WINDOW_ROLE = role). You can see this attribute by using the xprop
command. Transient windows are not affected by application settings. Take care
when using regular expressions. If you are not familiar with regular
expressions you can disable this feature by specifying --disable-regexp during
configure. Plain strings will then be matched.

GROUPS
------
Since version 0.1.11, fluxbox has a feature called autogrouping, that is apps
are automatically grouped together if they are in the same group. NOTE: this
feature is deprecated since version 0.9.1 in favor of grouping using the
`apps' file, since it is much more powerful.

You can create groups simply by editing the ~/.fluxbox/groups file. This file
takes the format of:

    <app1> <app2> <app3> <...> <appN>

where elements can be found with this command:

..................
$> xprop WM_CLASS
..................

Just type this command into a terminal and use the mouse to click on the
desired app and it will tell you what to write as an element (use the first of
the two names returned). Each line forms a different group, e.g.:

................
Navigator nedit
xterm
................

This will create two groups, one with netscape and nedit, and one with xterm.
The new window will only group itself to other windows on the same workspace
and to the last window that was focused.

THE SLIT
--------
The slit is a special fluxbox window frame that can contain dockable
applications, e.g. 'bbtools' or 'wmapps'.

When applications are run in the slit they have no window borders of their
own; instead they are framed in the slit, and they are always visible in the
current workspace.

Most dockable applications use the -w option to run in the slit. For example,
you could put in your ~/.xinitrc:

..............
bbmail -w &
bbpager -w &
wmdrawer &
exec fluxbox
..............

NOTE:
You can also put all of these in the startfluxbox(8) script. This way you
would only need to specify: exec startfluxbox in your ~/.xinitrc.

To use the slit you must have it compiled into fluxbox. This is the default
setting.

Slit Menu
---------
You can right click on the edge of the slit window to get a menu to configure
its position, whether its contained applications should be grouped horizontally
or vertically and whether the slit should hide itself when the mouse moves away.
The slit menu items are described in more detail below:

- *Placement*:
    This lets you set the position of the slit.

- *Layer*:
    Look above for the layer priorities.

- *Auto hide*:
    If enabled, the slit will disappear after a given amount of time and hide
    from the view of the user. You can make it appear if you move the mouse to
    the edge of the desktop where the slit is positioned.

- *Maximize over*:
    If this is enabled, all windows, if you maximize them, will stretch
    over/under the slit. Otherwise the will be limited to the slit's edge.

- *Alpha*:
    By changing the value the slit (only the decoration not the apps in the
    slit) will become transparent.  0 (transparent) - 255 (opaque)

- *Slit direction*:
    Changing the value will set the slit's direction for ordering apps sitting
    in the slit. There is no effect with only on application.

- *Clients*:
    This submenu lets you reorder the the applications running in the
    slit. You are able to hide apps from the slit by unselecting them in
    the list showing. This will not kill the app. You can make them appear
    by selecting them in the list.  The "Save SlitList" option saves the
    new order to you slitlist located in ~/.fluxbox (useful if you
    reordered the apps with the cycle option).

Slitlist File
-------------
fluxbox's slitlist file is available for those that use dockapps in the slit.
This file helps fluxbox keep track of the *order* of the dockapps when in the
slit. The file is generally located at ~/.fluxbox/slitlist

A simple procedure for getting the slit sequences the way you like it is:
1.   Run fluxbox with no pre-loaded dockapps
2.   Run dockapps individually in the order you want them
3.   Add dockapps to your auto-run script, or better yet your
     startfluxbox(8) script.

This sequence will be saved by default to ~/.fluxbox/slitlist and will be
remembered for future instances of fluxbox.

Users are free to manually edit the slitlist file. It is a simple list of window
names, as given by xprop(1), one per dockapp. Similar to the init file it should
not be edited while fluxbox is running. Otherwise changes may get overwritten.

The user also has the option of choosing a different path for the slitlist file.
The following is the init file component that needs to be changed:

   session.session0.slitlistFile: <filename>

ENVIRONMENT
-----------
HOME::
    fluxbox uses HOME to find the .fluxbox/init file and to resolve style file
    and -directory names.

DISPLAY::
    When no other display was given on the command line, fluxbox will start on
    the display specified by this variable.

fluxbox can also take advantage of other environment variables if they are set
before fluxbox is started. For example, if $TERM is set, then it will be
available whenever fluxbox uses the shell, such as certain commands in the keys
and menu files. So one can do:

...........................
Mod1 x ExecCommand :$TERM
...........................

For more information about environment variables, see your shell's manual.

SIGNALS
-------
fluxbox responds to the following signals:

- SIGHUP   fluxbox loads the configuration.
- SIGUSR1  Forces reloading of configuration.
- SIGUSR2  Forces reloading of menu file.

AUTHOR and CREDITS
------------------
fluxbox is written and maintained by Henrik Kinnunen <fluxgen at fluxbox org>,
Simon Bowden <rathnor at fluxbox org>, Mathias Gumz <akira at fluxbox org>, and
Mark Tiefenbruck <mark at fluxbox org>, with contributions and patches merged
from many individuals around the world.

Blackbox was written and maintained by Brad Hughes <blackbox at alug org> and
Jeff Raven <jraven at psu edu>.

The Official fluxbox website: http://www.fluxbox.org

Many compatible themes:
-   http://boxwhore.org
-   http://themes.freshmeat.net/

This manpage is the combined work of:

- Curt Micol <asenchi at asenchi com> (>fluxbox-0.9.11)

- Tobias Klausmann <klausman at users sourceforge net> (<=fluxbox-0.9.11)
- Grubert <grubert at users sourceforge net> (fluxbox)

- Matthew Hawkins <matt at mh dropbear id au> (blackbox)
- Wilbert Berendsen <wbsoft at xs4all nl> (blackbox)

- Numerous other languages could be available if someone jumps in.

BUGS
----
If you find any bugs, please visit the #fluxbox irc channel on
irc.freenode.net or submit them to the bug tracker at
http://sf.net/projects/fluxbox . Or you may subscribe to one of the
mailinglists. More information can be found on the official website.

SEE ALSO
--------
bsetroot(1) fbsetbg(1) fbrun(1) fluxstyle(1)

